## org.apache.xml.serializer
Interface SerializerConstants

All Known Implementing Classes:
  SerializerBase

public interface SerializerConstants

Author:
  minchau Constants used in serialization, such as the string "xmlns", Jacek Ambroziak, Santiago Pericas-Geertsen

Field Summary
`static char[]` `BEGCDATA`
`static java.lang.String` `CDATA_CONTINUE` To insert ]]> in a CDATA section by ending the last CDATA section with ]] and starting the next CDATA section with >
`static java.lang.String` `CDATA_DELIMITER_CLOSE` The constant "]]>"
`static java.lang.String` `CDATA_DELIMITER_OPEN`
`static char[]` `CNTCDATA`
`static java.lang.String` `DEFAULT_SAX_SERIALIZER`
`static java.lang.String` `EMPTYSTRING`
`static char[]` `ENDCDATA`
`static java.lang.String` `ENTITY_AMP`
`static java.lang.String` `ENTITY_CRLF`
`static java.lang.String` `ENTITY_GT`
`static java.lang.String` `ENTITY_LT`
`static java.lang.String` `ENTITY_QUOT`
`static java.lang.String` `XML_PREFIX`
`static java.lang.String` `XMLNS_PREFIX`
`static java.lang.String` `XMLNS_URI`

Field Detail

### CDATA_CONTINUE

    public static final java.lang.String CDATA_CONTINUE

  To insert ]]> in a CDATA section by ending the last CDATA section with ]] and starting the next CDATA section with >

  See Also:
    Constant Field Values

### CDATA_DELIMITER_CLOSE

    public static final java.lang.String CDATA_DELIMITER_CLOSE

  The constant "]]>"

  See Also:
    Constant Field Values

### CDATA_DELIMITER_OPEN

    public static final java.lang.String CDATA_DELIMITER_OPEN

See Also:
  Constant Field Values

### CNTCDATA

    public static final char[] CNTCDATA

### BEGCDATA

    public static final char[] BEGCDATA

### ENDCDATA

    public static final char[] ENDCDATA

### EMPTYSTRING

    public static final java.lang.String EMPTYSTRING

See Also:
  Constant Field Values

### ENTITY_AMP

    public static final java.lang.String ENTITY_AMP

See Also:
  Constant Field Values

### ENTITY_CRLF

    public static final java.lang.String ENTITY_CRLF

See Also:
  Constant Field Values

### ENTITY_GT

    public static final java.lang.String ENTITY_GT

See Also:
  Constant Field Values

### ENTITY_LT

    public static final java.lang.String ENTITY_LT

See Also:
  Constant Field Values

### ENTITY_QUOT

    public static final java.lang.String ENTITY_QUOT

See Also:
  Constant Field Values

### XML_PREFIX

    public static final java.lang.String XML_PREFIX

See Also:
  Constant Field Values

### XMLNS_PREFIX

    public static final java.lang.String XMLNS_PREFIX

See Also:
  Constant Field Values

### XMLNS_URI

    public static final java.lang.String XMLNS_URI

See Also:
  Constant Field Values

### DEFAULT_SAX_SERIALIZER

    public static final java.lang.String DEFAULT_SAX_SERIALIZER

See Also:
  Constant Field Values

Copyright © 2004 Apache XML Project. All Rights Reserved.